#@TYPE: Machine
#@NAME: generic armv7 machine
#@DESCRIPTION: Machine configuration for running a generic armv8

require conf/machine/include/arm/armv7a/tune-cortexa7.inc

MACHINEOVERRIDES =. "stm32mp157c-dk2:"

IMAGE_FSTYPES:remove = "tar.gz"

# TF-A
TFA_PLATFORM = "stm32mp157c-dk2:"
EXTRA_IMAGEDEPENDS += "trusted-firmware-a capsule-update"

# optee
EXTRA_IMAGEDEPENDS += "optee-os"
OPTEE_ARCH = "arm32"
OPTEE_BINARY = "tee-pager_v2.bin"

# u-boot
PREFERRED_VERSION_u-boot ?= "2022.10"
EXTRA_IMAGEDEPENDS += "u-boot"
UBOOT_CONFIG ??= "EFI"
UBOOT_CONFIG[EFI] = "stm32mp157c_dk2_trusted_defconfig"
#UBOOT_ENTRYPOINT  = "0x80000000"
#UBOOT_LOADADDRESS = "0x80000000"
#UBOOT_BOOTARGS = "earlycon=pl011,0x1a510000 console=ttyAMA0 loglevel=9"
UBOOT_ARCH = "arm"
UBOOT_EXTLINUX = "0"

SERIAL_CONSOLES ?= "115200;ttyAMA0"
SERIAL_CONSOLES_CHECK = "${SERIAL_CONSOLES}"

PREFERRED_PROVIDER_virtual/kernel = 'linux-dummy'

#WIC
IMAGE_FSTYPES = "wic.gz"
WKS_FILE ?= "stm32mp157c-dk2.wks.in"
WKS_FILE_DEPENDS += "trusted-firmware-a"
